Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface GridValuesMatrix

All Superinterfaces:
  Grid

    @UML(identifier="CV_GridValuesMatrix",
         specification=ISO_19123)
    public interface GridValuesMatrix

extends Grid

Ties feature attributes values to the a grid geometry. It holds a sequence of records associated with a sequencing rule that specifies an algorithm for assigning records of feature attribute values to grid points.

Method Summary
`GridEnvelope` | `getExtent()` Returns the limits of a section of the grid.
`SequenceRule` | `getSequencingRule()` Describes how the grid points are ordered for association to the elements of the sequence values.
`GridCoordinates` | `getStartSequence()` Identifies the grid point to be associated with the first record in the values sequence.
`List` | `getValues()` Returns a sequence of N feature attribute value records where N is the number of grid points within the section of the grid specified by the extent.

Methods inherited from interface Grid
`getAxisNames, getCells, getDimension, getIntersections`

Method Detail

### getValues

    @UML(identifier="values",
         obligation=MANDATORY,
         specification=ISO_19123)
    List getValues()

  Returns a sequence of N feature attribute value records where N is the number of grid points within the section of the grid specified by the extent.

  TODO:
    Comment (Wim): Both extracting an image for display and operation chaining require memory effiecient and fast access to the data. How should the data be structured per record? Some use cases:

    DTM | double | List<double>
    TM image | 7 bytes |
    Landuse map | string | `List<double>` with look up table for the strings

### getSequencingRule

    @UML(identifier="sequencingRule",
         obligation=MANDATORY,
         specification=ISO_19123)
    SequenceRule getSequencingRule()

  Describes how the grid points are ordered for association to the elements of the sequence values.

### getStartSequence

    @UML(identifier="startSequence",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridCoordinates getStartSequence()

  Identifies the grid point to be associated with the first record in the values sequence.

### getExtent

    @UML(identifier="extent",
         obligation=OPTIONAL,
         specification=ISO_19123)
    GridEnvelope getExtent()

  Returns the limits of a section of the grid. This envelope can not be empty.

  Specified by:
    `getExtent` in interface `Grid`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.